# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

video_menu_item = items.MenuItem(
    # GENERAL
    _('Video'),
        reverse('admin:app_list', kwargs={'app_label': 'video'}),
        children=[
            items.MenuItem(_('Video'), '',
                children=[
                    items.MenuItem(_('Add Video'), reverse('admin:video_video_add',)),
                    items.MenuItem(_('Video List'), reverse('admin:video_video_changelist',) ),
                    items.MenuItem(_('Add Area'), reverse('admin:video_areavideo_add',)),
                    items.MenuItem(_('Area List'), reverse('admin:video_areavideo_changelist',) ),
                    ]
            ),
        ]
)


register_menu(video_menu_item, 'jmb.video')
